Page MenuHomePhabricator

Add Code of Conduct link to the Universal Code of Conduct to all non technical wikis
Open, Stalled, HighPublic

Description

Since we have an approved Universal Code of Conduct, seems fair to link to it in the footer.

Seems we should keep the more specific Code of Conduct for technical spaces where it already is specified.

Event Timeline

Reedy updated the task description. (Show Details)
Reedy added a subscriber: Reedy.

This mostly needs doing in WikimediaMessagesHooks::onSkinAddFooterLinks() rather than as a Wikimedia-Site-requests

@Reedy If this is consensual I could send a patch.

I was wondering if this was a Community-consensus-needed and I really don't know if/where this sort of thing stands :)

The code has been board approved and is binding as of a bit over 4 months ago. So I think this is a straightforward change to the interface to reflect that. I would appreciate more input though.

Screenshot 2021-04-22 at 00.44.47.png (184×1 px, 56 KB)

I think as long as the first 3 (or 4) stay first (using this enwiki example), we should be good. I don't know why Cookie statement is at the end though; feels like that should be more to the left too.

Indeed, its placed just before mobile view in mediawiki.org and others (linking to TCoC).

image.png (86×1 px, 21 KB)

Hmm. And that is done in wmf-config.

Of course, the variables and i18n messages are the "wrong" way round...

Let's fix that up before adding to it

Change 681832 had a related patch set uploaded (by Reedy; author: Reedy):

[mediawiki/extensions/WikimediaMessages@master] Copy wm-codeofconduct to wm-techcodeofconduct

https://gerrit.wikimedia.org/r/681832

Change 681833 had a related patch set uploaded (by Reedy; author: Reedy):

[mediawiki/extensions/WikimediaMessages@master] Repurpose wm-codeofconduct messages

https://gerrit.wikimedia.org/r/681833

Change 681834 had a related patch set uploaded (by Reedy; author: Reedy):

[operations/mediawiki-config@master] Update messages used for tech CoC

https://gerrit.wikimedia.org/r/681834

Change 681835 had a related patch set uploaded (by Reedy; author: Reedy):

[operations/mediawiki-config@master] Add wmgUseFooterTechCodeOfConductLink to replace wmgUseFooterCodeOfConductLink

https://gerrit.wikimedia.org/r/681835

Change 681836 had a related patch set uploaded (by Reedy; author: Reedy):

[operations/mediawiki-config@master] Flip variables in wmgUseFooterCodeOfConductLink

https://gerrit.wikimedia.org/r/681836

Change 681835 merged by jenkins-bot:

[operations/mediawiki-config@master] Add wmgUseFooterTechCodeOfConductLink to replace wmgUseFooterCodeOfConductLink

https://gerrit.wikimedia.org/r/681835

Change 681836 merged by jenkins-bot:

[operations/mediawiki-config@master] Flip variables in wmgUseFooterCodeOfConductLink

https://gerrit.wikimedia.org/r/681836

Change 681832 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMessages@master] Copy wm-codeofconduct to wm-techcodeofconduct

https://gerrit.wikimedia.org/r/681832

Change 681834 merged by jenkins-bot:

[operations/mediawiki-config@master] Update messages used for tech CoC

https://gerrit.wikimedia.org/r/681834

Mentioned in SAL (#wikimedia-operations) [2021-05-10T23:38:00Z] <urbanecm@deploy1002> Synchronized wmf-config/CommonSettings.php: 779fb53bfd7a4d9b11f865df14f8a72adb97f33b: Update messages used for tech CoC (T280886) (duration: 00m 56s)

Change 688505 had a related patch set uploaded (by Reedy; author: Reedy):

[operations/mediawiki-config@master] Add CoC link to non tech wikis

https://gerrit.wikimedia.org/r/688505

Change 681833 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMessages@master] Repurpose wm-codeofconduct messages

https://gerrit.wikimedia.org/r/681833

Change 688505 merged by jenkins-bot:

[operations/mediawiki-config@master] Add CoC link to non tech wikis

https://gerrit.wikimedia.org/r/688505

Mentioned in SAL (#wikimedia-operations) [2021-06-03T23:40:12Z] <reedy@deploy1002> Synchronized wmf-config/InitialiseSettings.php: T280886 (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-06-03T23:41:32Z] <reedy@deploy1002> Synchronized wmf-config/CommonSettings.php: T280886 (duration: 00m 56s)

Reedy claimed this task.

Change 698074 had a related patch set uploaded (by Reedy; author: Reedy):

[operations/mediawiki-config@master] Temporarily disable UCoC link from non tech wikis

https://gerrit.wikimedia.org/r/698074

Change 698074 merged by jenkins-bot:

[operations/mediawiki-config@master] Temporarily disable UCoC link from non tech wikis

https://gerrit.wikimedia.org/r/698074

Mentioned in SAL (#wikimedia-operations) [2021-06-04T00:08:41Z] <reedy@deploy1002> Synchronized wmf-config/CommonSettings.php: T280886 (duration: 00m 57s)

Change 698075 had a related patch set uploaded (by Reedy; author: Reedy):

[mediawiki/extensions/WikimediaMessages@master] Point wm-codeofconduct-url to correct location

https://gerrit.wikimedia.org/r/698075

Change 698076 had a related patch set uploaded (by Reedy; author: Reedy):

[mediawiki/extensions/WikimediaMessages@master] Point wm-codeofconduct-url to foundation governance wiki

https://gerrit.wikimedia.org/r/698076

Chicocvenancio changed the task status from Open to Stalled.Jun 30 2021, 10:24 PM
Chicocvenancio triaged this task as High priority.

@Xeno This has been fully blocked by your team since June 3rd, when I sent you and others on the UCoC facilitation team an email

This was live today for a few minutes before we realized it linked to a perhaps confusing page at https://meta.wikimedia.org/wiki/Special:MyLanguage/Universal_Code_of_Conduct

To get it back out live we have a few options.

One is to move https://meta.wikimedia.org/wiki/Universal_Code_of_Conduct to https://meta.wikimedia.org/wiki/Universal_Code_of_Conduct/process and https://meta.wikimedia.org/wiki/Universal_Code_of_Conduct/policy_text to https://meta.wikimedia.org/wiki/Universal_Code_of_Conduct so we can link to it in a stable place.

Another, maybe better to be done at a later point in time, is to have all translations imported to foundation wiki and link to the policy text translation there for each project. This will take more work with the import of the translations and with setting the correct language code for the link for all mediawiki interface languages.

Please consider setting this as a higher priority.

Thanks @Chicocvenancio - we will be proceeding with the moves fairly soon, using an updated process for moving translated pages.

[[Universal Code of Conduct]] now hosts the policy text. Project page at [[Universal Code of Conduct/Project]].

Change 698075 abandoned by Reedy:

[mediawiki/extensions/WikimediaMessages@master] Point wm-codeofconduct-url to correct location on meta

Reason:

https://meta.wikimedia.org/wiki/Special:MyLanguage/Universal_Code_of_Conduct is now the correct location. No need to point it elsewhere on meta. Though, moving to foundation.wm.o might still happen, see https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikimediaMessages/+/698076

https://gerrit.wikimedia.org/r/698075

Change 710975 had a related patch set uploaded (by Reedy; author: Reedy):

[operations/mediawiki-config@master] Update comment about UCoC link progress

https://gerrit.wikimedia.org/r/710975

Change 710975 merged by jenkins-bot:

[operations/mediawiki-config@master] Update comment about UCoC link progress

https://gerrit.wikimedia.org/r/710975

^ Patch abandoned, as we definitely don't need to point the URL to https://meta.wikimedia.org/wiki/Special:MyLanguage/Universal_Code_of_Conduct/Policy_text now T287803: Translatable page move request: Universal Code of Conduct pages on Meta-Wiki has been done.

Whether we need to point it at foundation.wm.o instead (like we do for other policies), as per https://gerrit.wikimedia.org/r/c/698076 is still TBD (I think that question was with legal).

Let me know whether we want to go ahead with it on meta (I know there's some queries about the official-ness there), or if we want to move it to foundation.wm.o... And then work out how we want to deal with Special:MyLanguage or url suffixes etc in translations

Mentioned in SAL (#wikimedia-operations) [2021-08-09T14:02:23Z] <reedy@deploy1002> Synchronized wmf-config/CommonSettings.php: T280886 UCoC comment update (duration: 00m 58s)